[jdom-interest] API instability?

Galluzzo, Eric EGalluzzo at synchrony.net
Mon Aug 28 14:31:52 PDT 2000

Hello, all!

We recently downloaded JDOM 1.0b4, made a couple of changes so that it would
work with JDK1.1 + collections.jar, and happily used it for a while.  We
then downloaded a newer version of 1.0b4, which was apparently still called
1.0b4, and quite a few of the methods we were using (e.g.
Element.getLongContent()) had not only been deprecated but actually removed.
So I have a few questions:

*	How unstable is the API?  We do not want to have to rewrite our code
every time a new version is released, as we have had to this time.  If it is
too unstable, we will not be able to use it.
*	When is 1.0 coming out?  Our manager is afraid of using a pre-1.0
version of JDOM for anything significant, even though it seems very stable.
*	Is there any sort of list of companies successfully using JDOM in
production that we can peruse?
*	Is there any chance of an "official" JDK1.1 version of JDOM, or
should we keep patching new versions privately when they come out?  Would
the JDOM community be interested in our JDK1.1 patches?

Thanks for any help you can give!

	- Eric

Eric Galluzzo   <><
Product Engineer
Synchrony Communications, Inc.

Work: http://www.synchrony.net/
Home: http://w3.one.net/~eng/

More information about the jdom-interest mailing list